Name:           ocaml-ppx-string
Version:        0.17.0
Release:        %autorelease
Summary:        PPX extension for string interpolation

License:        MIT
URL:            https://github.com/janestreet/ppx_string
VCS:            git:%{url}.git
Source:         %{url}/archive/v%{version}/ppx_string-%{version}.tar.gz

# OCaml packages not built on i686 since OCaml 5 / Fedora 39.
ExcludeArch:    %{ix86}

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppx-base-devel >= 0.17
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0

%description
This extension provides a syntax for string interpolation.  It provides
a more compact syntax that even `Printf.sprintf`.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppx-base-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n ppx_string-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc README.org
%license LICENSE.md

%files devel -f .ofiles-devel

%changelog
%autochangelog
